<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.adealink.weparty.commonui.widget.constrainlayout.RoundCornerConstraintLayout
        android:id="@+id/cl_player"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:constraint_layout_round_corner="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:placeholderImage="@color/color_FFC4C4C4"
        tools:layout_constraintDimensionRatio="3:4"
        tools:layout_width="200dp">

        <androidx.media3.ui.PlayerView
            android:id="@+id/v_player"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:resize_mode="fixed_width"
            app:surface_type="texture_view"
            app:use_controller="false" />

        <com.adealink.frame.image.view.NetworkImageView
            android:id="@+id/iv_cover"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:placeholderImage="@color/color_FFC4C4C4" />

    </com.adealink.weparty.commonui.widget.constrainlayout.RoundCornerConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonLoadingView
        android:id="@+id/v_loading"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/cl_player"
        app:layout_constraintEnd_toEndOf="@id/cl_player"
        app:layout_constraintStart_toStartOf="@id/cl_player"
        app:layout_constraintTop_toTopOf="@id/cl_player"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_play"
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/cl_player"
        app:layout_constraintEnd_toEndOf="@id/cl_player"
        app:layout_constraintStart_toStartOf="@id/cl_player"
        app:layout_constraintTop_toTopOf="@id/cl_player"
        app:srcCompat="@drawable/profile_dynamic_video_play_ic"
        tools:visibility="visible" />

    <com.adealink.weparty.profile.dynamic.fragment.widget.VideoTimer
        android:id="@+id/tv_duration"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:gravity="start"
        android:includeFontPadding="false"
        android:textColor="@color/white"
        android:textSize="14sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/btn_sound"
        app:layout_constraintStart_toStartOf="@id/cl_player"
        app:layout_constraintTop_toTopOf="@id/btn_sound"
        tools:text="01:00"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/btn_sound"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginEnd="14dp"
        android:layout_marginBottom="8dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/cl_player"
        app:layout_constraintEnd_toEndOf="@id/cl_player"
        app:srcCompat="@drawable/profile_dynamic_video_sound_ic"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>